%define name kmp3 
%define version 03201999 
%define release 1 
%define rh rh5x
%define qt qt >= 1.41 qt-egcs-10x
%define redhat redhat-release 
Name: %{name}
Version: %{version}
Release: %{release}
Summary: Kmp3, an mp3 player for the K Desktop Environment
BuildRoot: /tmp/realhot_%{name}
Copyright: GPL
Group: X11/KDE/Multimedia
Icon: kmp3.gif
Source: %{name}-devel-latest.tar.gz
Distribution: KDE
Packager: Kenny Lim <kenny@predawnia.org>
Requires: %{qt} %{redhat} kdesupport-%{rh} kdelibs-%{rh}
Vendor: Kurt Gilpin <kgilpin@earthlink.net>
URL: http://www.kmp3.org/
AutoReqProv: no

%description
Kmp3 is an mp3 player for the K Desktop Environment, based on mpg123. 

%prep
rm -fr $RPM_BUILD_ROOT
%setup -n kmp3

%build
export KDEDIR=/opt/kde
CC=egcs ./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT --with-gnu-ld
make all

%install
make install

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -fr $RPM_BUILD_ROOT

%docdir /opt/kde/share/doc/HTML
%files -f ../file.list.%{name}

